List Dsar Requests
curl --request GET \
--url https://api.mixpeek.com/v1/organizations/dsar/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mixpeek.com/v1/organizations/dsar/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mixpeek.com/v1/organizations/dsar/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"request_id": "<string>",
"type": "<string>",
"status": "<string>",
"requested_at": "<string>",
"completed_at": "<string>"
}
]{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Privacy (DSAR)
List Dsar Requests
List all DSAR requests for this organization.
Returns the status of all pending and completed data subject access requests (exports and deletions).
Requires ADMIN permission.
GET
/
v1
/
organizations
/
dsar
/
status
List Dsar Requests
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I

